<?xml version="1.0" encoding="UTF-8"?>
<!--
    Part of BVR Imports.
    See LICENSE file for full copyright and licensing details.
-->
<odoo>
    <data>
        <record id="account_bank_view_form_inherited" model="ir.ui.view">
            <field name="name">account.bank.form.bss_bvr_import</field>
            <field name="model">account.journal</field>
            <field name="inherit_id" ref="account.view_account_bank_journal_form"/>
            <field name="arch" type="xml">
                <xpath expr="//group" position="after">
                    <field name="is_esr" invisible="1"/>
                    <group name="esr_settings" string="ESR Settings"
                        attrs="{'invisible': [('is_esr', '!=', True)]}">
                        <group>
                            <field name="bvr_ccp_num"/>
                            <field name="bvr_customer_adherent_num"/>

                        </group>
                        <group>
                            <field name="bvr_reference_header"/>
                            <field name="print_bank"/>
                        </group>
                    </group>
                </xpath>
            </field>
        </record>

        <record id="account_journal_view_form_inherited" model="ir.ui.view">
            <field name="name">account.journal.form.bss_bvr_import</field>
            <field name="model">account.journal</field>
            <field name="inherit_id" ref="account.view_account_journal_form"/>
            <field name="arch" type="xml">
                <xpath expr="//page[@name='bank_account']/group" position="after">
                    <field name="is_esr" invisible="1"/>
                    <group name="esr_settings" string="ESR Settings"
                        attrs="{'invisible': [('is_esr', '!=', True)]}">
                        <group>
                            <field name="bvr_ccp_num"/>
                            <field name="bvr_customer_adherent_num"/>

                        </group>
                        <group>
                            <field name="bvr_reference_header"/>
                            <field name="print_bank"/>
                        </group>
                    </group>
                </xpath>
            </field>
        </record>
    </data>
</odoo>
